From 575b9718df809b03134d73ea9859ae0c16bf0d73 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Wed, 1 Apr 2020 11:47:24 +0800
Subject: [PATCH 24/77] vcpu_affinity: set cpuset range from 0 to 7

The avocado-vt-vm1 default vcpu num is 8.It requires 8
physical CPUs for the VCPUs. So, change vcpu_affinity
and numa_memory testcases cpuset range(0-7) for VCPU nums.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 libvirt/tests/cfg/cpu/vcpu_affinity.cfg | 6 +++---
 libvirt/tests/cfg/numa/numa_memory.cfg  | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/libvirt/tests/cfg/cpu/vcpu_affinity.cfg b/libvirt/tests/cfg/cpu/vcpu_affinity.cfg
index db4073fa..101e516c 100644
--- a/libvirt/tests/cfg/cpu/vcpu_affinity.cfg
+++ b/libvirt/tests/cfg/cpu/vcpu_affinity.cfg
@@ -14,7 +14,7 @@
                 - vcpu:
                     check = "vcpu_maxrange_cpuset"
                     config_xml = "vcpu"
-                    vcpu_cpuset = "0-1"
+                    vcpu_cpuset = "0-7"
                 - vcpu_placement:
                     check = "vcpu_placement"
                     config_xml = "vcpu"
@@ -28,7 +28,7 @@
                             vcpu_placement = ""
                 - cputune:
                     check = "cputune"
-                    vcpu_cpuset = "0-1"
+                    vcpu_cpuset = "0-7"
                     variants:
                         - vcpu_affinity_xml:
                             hotplug_vcpu = "yes"
@@ -53,7 +53,7 @@
                             vcpupin_option = "--config"
                         - offline_hostcpu:
                             check = "cputune_offline_hostcpu"
-                            offline_hostcpus = "2,3"
+                            offline_hostcpus = "8,9"
                             cputune_cpuset = "3"
                         - vcpu_maxvcpu_minus:
                             config_xml = "cputune"
diff --git a/libvirt/tests/cfg/numa/numa_memory.cfg b/libvirt/tests/cfg/numa/numa_memory.cfg
index 068a5fa1..4ded7d0b 100644
--- a/libvirt/tests/cfg/numa/numa_memory.cfg
+++ b/libvirt/tests/cfg/numa/numa_memory.cfg
@@ -33,7 +33,7 @@
                              vcpu_placement = "auto"
                          - vcpu_static:
                              vcpu_placement = "static"
-                             vcpu_cpuset = "2,4"
+                             vcpu_cpuset = "0-7"
         - negative_test:
              status_error = "yes"
              memory_placement = "static"
-- 
2.23.0

